Build #2 for chainweb-mining-client-0.2

[all reports]

Package chainweb-mining-client-0.2
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2020-08-21 05:45:40.701030714 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
cabal: Could not resolve dependencies:
[__0] trying: chainweb-mining-client-0.2 (user goal)
[__1] trying: streaming-events-1.0.1 (dependency of chainweb-mining-client)
[__2] next goal: http-client (dependency of chainweb-mining-client)
[__2] rejecting: http-client-0.7.2 (conflict: streaming-events =>
http-client>=0.5 && <0.7)
[__2] skipping: http-client-0.7.1, http-client-0.7.0 (has the same
characteristics that caused the previous version to fail: excluded by
constraint '>=0.5 && <0.7' from 'streaming-events')
[__2] rejecting: http-client-0.6.4.1 (conflict: chainweb-mining-client =>
http-client>=0.7)
[__2] skipping: http-client-0.6.4, http-client-0.6.3, http-client-0.6.2,
http-client-0.6.1.1, http-client-0.6.1, http-client-0.6.0, http-client-0.5.14,
http-client-0.5.13.1, http-client-0.5.13, http-client-0.5.12.1,
http-client-0.5.12, http-client-0.5.11, http-client-0.5.10, http-client-0.5.9,
http-client-0.5.8, http-client-0.5.7.1, http-client-0.5.7.0,
http-client-0.5.6.1, http-client-0.5.6, http-client-0.5.5, http-client-0.5.4,
http-client-0.5.3.4, http-client-0.5.3.3, http-client-0.5.3.2,
http-client-0.5.3.1, http-client-0.5.3, http-client-0.5.2, http-client-0.5.1,
http-client-0.5.0.1, http-client-0.5.0, http-client-0.4.31.2,
http-client-0.4.31.1, http-client-0.4.31, http-client-0.4.30,
http-client-0.4.29, http-client-0.4.28, http-client-0.4.27.1,
http-client-0.4.27, http-client-0.4.26.2, http-client-0.4.26.1,
http-client-0.4.26, http-client-0.4.25, http-client-0.4.24,
http-client-0.4.23, http-client-0.4.22.1, http-client-0.4.22,
http-client-0.4.21, http-client-0.4.20, http-client-0.4.19,
http-client-0.4.18.1, http-client-0.4.18, http-client-0.4.17,
http-client-0.4.16, http-client-0.4.15, http-client-0.4.14,
http-client-0.4.13, http-client-0.4.12, http-client-0.4.11.3,
http-client-0.4.11.2, http-client-0.4.11.1, http-client-0.4.11,
http-client-0.4.10, http-client-0.4.9, http-client-0.4.8.1, http-client-0.4.8,
http-client-0.4.7.2, http-client-0.4.7.1, http-client-0.4.7,
http-client-0.4.6.2, http-client-0.4.6.1, http-client-0.4.6,
http-client-0.4.5, http-client-0.4.4, http-client-0.4.3, http-client-0.4.2.2,
http-client-0.4.2.1, http-client-0.4.2, http-client-0.4.1,
http-client-0.4.0.1, http-client-0.4.0, http-client-0.3.8.2,
http-client-0.3.8.1, http-client-0.3.8, http-client-0.3.7.2,
http-client-0.3.7.1, http-client-0.3.6.1, http-client-0.3.6,
http-client-0.3.5, http-client-0.3.4, http-client-0.3.3.2,
http-client-0.3.3.1, http-client-0.3.3, http-client-0.3.2.2,
http-client-0.3.2.1, http-client-0.3.2, http-client-0.3.1.1,
http-client-0.3.1, http-client-0.3.0.2, http-client-0.3.0.1,
http-client-0.3.0, http-client-0.2.3.1, http-client-0.2.3,
http-client-0.2.2.4, http-client-0.2.2.3, http-client-0.2.2.2,
http-client-0.2.2.1, http-client-0.2.2, http-client-0.2.1.1,
http-client-0.2.1, http-client-0.2.0.3, http-client-0.2.0.2,
http-client-0.2.0.1, http-client-0.2.0.0, http-client-0.1.0.0 (has the same
characteristics that caused the previous version to fail: excluded by
constraint '>=0.7' from 'chainweb-mining-client')
[__2] fail (backjumping, conflict set: chainweb-mining-client, http-client,
streaming-events)
After searching the rest of the dependency tree exhaustively, these were the
goals I've had most trouble fulfilling: chainweb-mining-client, http-client,
streaming-events